## helma.objectmodel.db
Class MultiKey

    java.lang.Object
      helma.objectmodel.db.MultiKey

All Implemented Interfaces:
  Key, java.io.Serializable

    public final class MultiKey

extends java.lang.Object
implements Key, java.io.Serializable

This is the internal representation of a database key with multiple columns. It is constructed from the logical table (type) name and the column name/column value pairs that identify the key's object NOTE: This class doesn't fully support the Key interface - getID always returns null since there is no unique key (at least we don't know about it).

See Also:
  Serialized Form

Constructor Summary
`MultiKey(DbMapping dbmap, java.util.Map parts)` Make a key for a persistent Object, describing its datasource and key parts.

Method Summary
`boolean` `equals(java.lang.Object what)`
`java.lang.String` `getID()` Get the key's ID part
`Key` `getParentKey()` Get the key's parent key
`java.lang.String` `getStorageName()` Get the key's storage id
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiKey

    public MultiKey(DbMapping dbmap,
                    java.util.Map parts)

  Make a key for a persistent Object, describing its datasource and key parts.

Method Detail

### equals

    public boolean equals(java.lang.Object what)

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `what` - the other key to be compared with this one
  Returns:
    true if both keys are identical

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    this key's hash code

### getParentKey

    public Key getParentKey()

  Description copied from interface: `Key`
  Get the key's parent key

  Specified by:
    `getParentKey` in interface `Key`
  Returns:
    the key of this key's object's parent object

### getStorageName

    public java.lang.String getStorageName()

  Description copied from interface: `Key`
  Get the key's storage id

  Specified by:
    `getStorageName` in interface `Key`
  Returns:
    the unique storage name for this key's object

### getID

    public java.lang.String getID()

  Description copied from interface: `Key`
  Get the key's ID part

  Specified by:
    `getID` in interface `Key`
  Returns:
    this key's object's id

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation for this key

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.